@charset "utf-8";

/***** CSS index *****
*    1. root
*    2. html/body
*    3. View base-layout(for app.blade)
*    4. parts
*      4-1. button
*      4-2. position
*      4-xx. others
*    5. View
***** since 2025.2.28 *****/

/***** 1. root *****/
:root {
    --font-size-base: 0.875rem;
    --font-size-large: 1rem;
    --font-size-small: 0.75rem;
    --project-blue : #4472C4;
    --project-light-blue : #5B9BD5;
    --project-dull-blue : #8497B0;
    --project-gray : #f6f6f6;
    --project-light : #f8f9fc;
    --project-green : #1cc88a;
    --project-red : #FF1100 ;
  }

/***** 2. html/body *****/
html {
    height: 100%;
}
body {
    font-size: var(--font-size-base);
    height: 100%;
}

/***** 3. View base-layout(for app.blade) start *****/
.wrapper {
    /* display: flex; */
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

/*  .nav-sidebar */
.nav-sidebar {
    width: 6rem;
    height: 100vh;
    background-color: #707070;
    /* flex: 1 0 auto; */
    z-index: 500;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;

}
.nav-sidebar__container {
    flex: 1 0 auto;
    /* background-color: #707070;
    top: 0;
    left: 0; */
    width: 7rem;
    height: 100%;
    padding-right: 17px;
    padding-bottom: 3rem;
    overflow-x: hidden;
    overflow-y: auto;
    & .logo,ul {
        width: 6rem;
    }
}
.nav-item {
    width: 100%;
}
.nav-link {
    padding: .5rem;
}
.nav-link:hover {
    background-color: var(--project-gray);
    & .inner {
        color: #333;
    }
    & img {
        filter: brightness(0);
    }
}
/* .nav-link > .inner { */
.nav-link {
    & .inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: .3rem;
    font-size: .85em;
    font-weight: 600;
    position: relative;
        & img {
            height: 32px;
        }
        & .badge {
            top: 7.5%;
            left: 75%;
            font-size: 1em;
        }
    }
}
 .navbar-sub-menu { /* sub menu */
    background-color: #404040;
    margin: .3rem;
    border-radius: 5px;
    & .nav {
        width: 100%;
    }
}

/* .content */
.content-wrapper {
    margin-left: 6rem;
    width: auto;
    background-color: var(--project-gray);
    height: 100%;
    overflow-x: auto;
}
main {
    flex: 1 0 auto;
    /* min-width: max-content; */
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    & > div {
        flex: 1 0 auto;
    }
}
/***** View base-layout(for app.blade) end *****/

/***** 4. parts start *****/
/* 4-1. button */
.btn-block {
    width: 100%;
}
.btn:disabled:not(.update-confirmed) {
    background-color: var(--bs-gray-500);
    border-color: var(--bs-gray-500);
}
.btn-pj-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #4472C4;
    --bs-btn-border-color: #4472C4;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgb(36, 81, 158);
    --bs-btn-hover-border-color: rgb(36, 81, 158);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgb(36, 81, 158);
    --bs-btn-active-border-color: rgb(36, 81, 158);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #4472C4;
    --bs-btn-disabled-border-color: #4472C4;
}
.btn-pj-secondary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #5B9BD5;
    --bs-btn-border-color: #5B9BD5;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgb(75, 137, 196);
    --bs-btn-hover-border-color: rgb(75, 137, 196);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgb(75, 137, 196);
    --bs-btn-active-border-color: rgb(75, 137, 196);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #5B9BD5;
    --bs-btn-disabled-border-color: #5B9BD5;
}
.btn-pj-tertiary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #8497B0;
    --bs-btn-border-color: #8497B0;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgb(107, 129, 158);
    --bs-btn-hover-border-color: rgb(107, 129, 158);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgb(107, 129, 158);
    --bs-btn-active-border-color: rgb(107, 129, 158);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #8497B0;
    --bs-btn-disabled-border-color: #8497B0;
}
.btn-pj-success {
    --bs-btn-color: #fff;
    --bs-btn-bg: #1cc88a;
    --bs-btn-border-color: #1cc88a;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgb(16, 167, 111);
    --bs-btn-hover-border-color: rgb(16, 167, 111);
    --bs-btn-focus-shadow-rgb: 60, 153, 110;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgb(16, 167, 111);
    --bs-btn-active-border-color: rgb(16, 167, 111);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #1cc88a;
    --bs-btn-disabled-border-color: #1cc88a;
}

/* 4-2. position */
.left-upper {
    top: 10px;
    left: 30px;
    pointer-events: none;
    & > * {
        pointer-events: all;
    }
}
.right-upper {
    top: 10px;
    right: 30px;
    pointer-events: none;
    & > * {
        pointer-events: all;
    }
}
.left-lower {
    bottom: 20px;
    left: 30px;
    pointer-events: none;
    & > * {
        pointer-events: all;
    }
}
.right-lower {
    bottom: 20px;
    right: 30px;
    pointer-events: none;
    & > * {
        pointer-events: all;
    }
}

/* 4-3. dialog-box */
.dialog-box  {
    /* width: 100%; */
    display: none;
    & .card {
        width: 100%;
    }
}

/* 4-4. tables（個々でのスタイルはViewの項目で設定） */
.table {
    table-layout: fixed;
}
.table th {
    background-color: #707070;
    color: #fff;
    vertical-align: middle;
}
.table td,.table th {
    white-space: normal;/* bootstrapで折り返し不可になっているのを変更 */
    word-wrap: break-word;/* 半角英数の折り返し可能１単語で折り返し */
    /*word-break: break-all; 半角英数の折り返し可能２単語に関係なく折り返し→日付の折り返しで問題があるので不使用 */
}
.table {/* tableのcell幅の設定。マスターは別 */
    /* min-width: ; */
    & .__link {/* 表示 */
        width: 6rem;
    }
    & .__genba {/* 現場名 */
        min-width: 6rem;
    }
    & .__chiku {/* 地区名 */
        min-width: 6rem;
    }
    & .__sensor {/* センサー名,チャンネル名 */
        min-width: 6rem;
    }
    & .__type {/* 計測種別 */
        min-width: 5rem;
    }
    & .__unit {/* 単位 */
        width: 3rem;
    }
    & .__sensing-date {/* 観測日時 */
        max-width: 100%;
        min-width: 7rem;
    }
    & .__sensing-data {/* 観測値 */
        min-width: 6rem;
    }
    & .__displacement {/* 変位 */
        min-width: 8rem;
    }
    & .__warnint-level {/* 警報レベル */
        width: 7rem;
    }
    & .__cell-sm {/* No.,checkBox etc */
        width: 3rem;
    }
}
th ,td {
    & .inner{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: .3rem;
        & * {
            width: 100%;
        }
    }
}
/* 4-xx. others */
.pj-shadow {
    box-shadow: 0 0 2px rgb(0 0 0 / .25), 0 -1px 0 rgb(0 0 0 / .02), 2px 3px 3px rgb(0 0 0 / .25) !important;
}
.period {
    & > div {
        align-items: center;
        gap: .5rem;
        & input {
            flex: 1 0 auto;
        }
    }
}
.legend {
    min-width: 135px;
}
.legend-list {
    padding: .5rem;
    margin: 0;
    background-color: rgba(255, 255, 255, .8);
    border-radius: .375rem;
}
.legend-list-item {
    list-style: none;
    display: flex;
    align-items: center;
    & span::after {
        content: "";
        display: block;
        margin-right: 5px;
        width: 15px;
        height: 15px;
        border-radius: 100%;
        border: 1px solid #333;
    }
    & span.sensor-01::after {
        background-color: #fffa00;
    }
    & span.sensor-02::after {
        background-color: #ff0000;
    }
    & span.sensor-03::after {
        background-color: #00ff00;
    }
    & span.sensor-04::after {
        background-color: #0000ff;
    }
    & span.slide-block::after {
        border-radius: 0;
        background-color: rgba(51, 136, 255, .2);
        border: 3px solid rgb(51, 136, 255);
    }
}


/***** parts end *****/

/***** 5. View start *****/
/* 5-0. common */

/* 5-1. login.blade,register.blade */
.content-wrapper:has(.auth__container) {
    margin-left: 0!important;
}
.auth__container {
    justify-content: center;
    position: relative;
    top: 10rem;
}

/* 5-2. dashboard.blade */
.container-fluid:has(.dashboard-layout) {
    min-width: 820px;
}
.dashboard__menu {
    /* display: flex; */
    margin: 0 .75rem;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    & .select-genba {
        display: flex;
        gap: 0.5rem;
        & button {
            flex: 1 0 auto;
        }
    }
}
.dashboard-layout {
    container-type: inline-size;
    margin-top: 1rem;
}
.dashboard-layout__container {
    display: grid;
    justify-content:center;
    grid-template-columns: repeat(2, 370px);
    grid-template-rows: 450px;
    grid-column-gap: 10px;
    grid-row-gap: 10px;
}
@container (min-width: 750px) {
    .dashboard-layout__container {
        grid-template-columns: repeat(auto-fill, 370px);
    }
}

/* 5-3. map.blade */
.map__container {
    width: 100%;
    height: 100vh;
    position: relative;
}
.map__menu {
    position: absolute;
}
.map__menu-search {
    top: 10px;
    left: 50px;
    width: 500px;
    /*display: flex;
    flex-direction: column;
    justify-content: space-between;
     gap: 15px; */
    /* & #txtSercAddr {
        width: 100%;
    } */
}
#dialogSearchList {
    width: 392px;
    z-index: 999;
    position: absolute;
    top: 50px;
    left: 50px;
    & .card {
        width: 100%;
    }
    & .card-body {
        max-height: 300px;
        overflow-y: auto;
    }
    & table {
        width: 100%;
    }
    & tr {
       &:hover {
            cursor: pointer;
        }
    }
}
#dialogLayerList {
    & .form-check-label:hover {
        cursor: pointer;
    }
}
.map__menu-change {
    width: 280px;
}
/* openlayersCSS(ol.css)の調整 */
.ol-zoom { /* 拡大縮小ボタンの位置調整 */
    left: 1.3rem;
}
.ol-attribution:not(.ol-collapsed) {
    background: #fff;
}
.ol-attribution a {
    color: var(--bs-link-color);
}
.ol-attribution a:hover {
    color: var(--bs-link-hover-color);
}

/* 5-4. graph.blade */
#dlgSelect {
    top: 80px;
    left: 0;
    min-width: 500px;
}
.graph__container {
    display: flex;
    flex-direction: column;
    gap: 0;
    padding: 1rem;
    background-color: #fff;
    border-radius: 10px;
}
.graph-row {
    width: 100%;
    display: flex;
    gap: 0;
    border-bottom: 1px solid #ededed;
    &:last-child {
        border-bottom: none;
    }
}
.graph-header {
    flex: 0 1 180px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: .8rem .5rem;
}
/* .graph-range__container {
} */
.graph-range {
    display: flex;
    align-items: center;
    gap: .25rem;
    & .form-control {
        padding: .25rem;
        border-radius: .25rem;
    }
}
.graph-body {
    flex: 1 0 auto;
    max-width: calc(100vw - (3rem + 2rem + 180px +  96px));
}
.graph-select-list {
    margin-top: 5px;
    margin-bottom: 10px;
}

/* 5-5. data.blade/data-grid.blade */
/* 5-7. notice.blade/notice-grid.blade */
/* tableの調整 */
#datesTable {
    /* min-width: 1408px; */
    min-width: 1056px;
    table-layout: auto;
}
#noticesTable {
    min-width: 880px;
    table-layout: auto;
}

#danmensTable {
    table-layout: auto;
}
/* 5-8. master */
.master__container {
    & .master-table-item {
        min-width: 5.5rem;
    }
    & .master-table-item.__cell-sm {
        min-width: 4rem;
    }
}
.master__container .table {
    table-layout: auto;
    min-width: 500px;
}
/* user.blade */
#usersTable {
    table-layout: auto;
    min-width: 1070px;
}
/* pg.blade */
#pgsTable,#pusTable,#cgsTable {
    table-layout: auto;
    min-width: 240px;
}
/* danmen.blade */
#imageContainer.danmens-container:has(.danmen-img) {
    /* 断面図の画像は拡大縮小させない */
    /* top/leftに余計なpaddingを入れない（センサー基準点がずれる） */
    width: 100%;
    min-width: max-content;
    height: auto;
    padding: 0 .75rem 0 0;
    margin-left: .75rem;
    & .danmen-img {
        width: auto;
        height: auto;
        border-radius: .375rem;
    }
}





/* 5-. user-info.blade(user-info-main.blade,dashboard-kanri.blade)*/
.mail-list-item {
    & .inner {
        display: block;
        padding-right: 5px;
        white-space: normal;
        word-wrap: break-word;
        word-break: break-all;
    }

}
.font-size {
    & .btn-check:checked + .btn.btn-secondary {
        background-color: var(--project-green);
        border-color: var(--project-green);
    }
}
.add-channel-modal {
    max-width: 1200px;
}
#channelTable {
    table-layout: auto;
    min-width:  720px;
}
#dashboardKanriTable {
    min-width: 800px;
    table-layout: auto;
}

/* 5-xx. graph.blade */







/***** View end *****/
